Bug 1677583 - yum-builddep tries to install content from non-active stream
Summary: yum-builddep tries to install content from non-active stream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf-plugins-core
Version: 8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Eva Mrakova
URL:
Whiteboard:
: 1665722 1678911 (view as bug list)
Depends On: 1681085
Blocks: 1701002
TreeView+ depends on / blocked
 
Reported: 2019-02-15 09:56 UTC by Karel Srot
Modified: 2020-11-14 16:22 UTC (History)
13 users (show)

Fixed In Version: libsolv-0.7.4-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:30 UTC

Internal Links: 1770116

Description Karel Srot 2019-02-15 09:56:42 UTC
Description of problem:

# yum-builddep libsolv-0.6.35-6.el8.src.rpm 
Error: 
 Problem: cannot install the best candidate for the job
  - package perl-generators-1.10-7.module+el8+2464+d274aed1.noarch is excluded
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

# dnf module list perl
rhel-AppStream
Name          Stream            Profiles                     Summary                                          
perl          5.24              common [d], minimal          Practical Extraction and Report Language         
perl          5.26 [d]          common [d], minimal          Practical Extraction and Report Language   

however that package is in 5.24 stream which is not enabled nor default

# dnf module info perl:5.24 | grep perl-generators
Repository beaker-client-testing is listed more than once in the configuration
                 : perl-generators-0:1.10-7.module+el8+2464+d274aed1.noarch


Version-Release number of selected component (if applicable):
dnf-plugins-core-4.0.2.2-3.el8.noarch

How reproducible:
always

Steps to Reproduce:
see above

Actual results:
yum-builddep tries to install the content from non-active stream

Expected results:
only content from active streams is used, different package version gets installed

Comment 1 Jaroslav Mracek 2019-02-18 22:02:22 UTC
*** Bug 1665722 has been marked as a duplicate of this bug. ***

Comment 2 Jaroslav Mracek 2019-02-23 20:39:14 UTC
I create a pull request https://github.com/openSUSE/libsolv/pull/301 that change a logic for identification of a best candidate.

Comment 3 Jaroslav Mracek 2019-02-26 21:56:22 UTC
The patch was rejected by upstream

Comment 9 Jaroslav Mracek 2019-03-26 21:33:20 UTC
*** Bug 1678911 has been marked as a duplicate of this bug. ***

Comment 10 Jaroslav Mracek 2019-04-09 11:26:04 UTC
We will use a patch from Comment 2, because it is the only solution.

Comment 16 errata-xmlrpc 2019-11-05 22:21:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.